"use strict";
/* istanbul ignore file */
Object.defineProperty(exports, "__esModule", { value: true });
exports.createConstantNode = exports.createConditionalNode = exports.createBaseConditionalNode = exports.createBaseCallNode = exports.createBlockFunctionNode = exports.createBaseBinaryNode = exports.createAttributeAccessorNode = exports.createAssignmentNode = exports.createArrowFunctionNode = exports.createArrayNode = exports.createBaseArrayNode = exports.createWrapperNode = exports.createWithNode = exports.createVerbatimNode = exports.createTraitNode = exports.createTextNode = exports.createTemplateNode = exports.createSpacelessNode = exports.createSetNode = exports.createSandboxNode = exports.createPrintNode = exports.createMacroNode = exports.createLineNode = exports.createBaseIncludeNode = exports.createImportNode = exports.createIfNode = exports.createForLoopNode = exports.createForNode = exports.createFlushNode = exports.createDoNode = exports.createDeprecatedNode = exports.createCommentNode = exports.createCheckToStringNode = exports.createCheckSecurityNode = exports.createBodyNode = exports.createBlockReferenceNode = exports.createBlockNode = exports.createAutoEscapeNode = exports.createApplyNode = exports.isAMarkup = exports.createMarkup = exports.createChainLoader = exports.createArrayLoader = exports.createFilesystemLoader = exports.isATemplateLoadingError = exports.createTemplateLoadingError = exports.isARuntimeError = exports.createRuntimeError = exports.createParsingError = exports.isATwingError = void 0;
exports.createExtendsTagHandler = exports.createEmbedTagHandler = exports.createDoTagHandler = exports.createDeprecatedTagHandler = exports.createBlockTagHandler = exports.createAutoEscapeTagHandler = exports.createApplyTagHandler = exports.createIncludeNode = exports.createEmbedNode = exports.createPositiveNode = exports.createNotNode = exports.createNegativeNode = exports.createTestNode = exports.createFunctionNode = exports.createFilterNode = exports.createSubtractNode = exports.createStartsWithNode = exports.createRangeNode = exports.createPowerNode = exports.createOrNode = exports.createMultiplyNode = exports.createModuloNode = exports.createMatchesNode = exports.createIsNotInNode = exports.createIsNotEqualToNode = exports.createIsLessThanOrEqualToNode = exports.createIsLessThanNode = exports.createIsInNode = exports.createIsGreaterThanOrEqualToNode = exports.createIsGreaterThanNode = exports.createIsEqualNode = exports.createHasSomeNode = exports.createHasEveryNode = exports.createEndsWithNode = exports.createDivideNode = exports.createDivideAndFloorNode = exports.createConcatenateNode = exports.createBitwiseXorNode = exports.createBitwiseOrNode = exports.createBitwiseAndNode = exports.createAndNode = exports.createAddNode = exports.createBaseUnaryNode = exports.createSpreadNode = exports.createParentFunctionNode = exports.createNullishCoalescingNode = exports.createNameNode = exports.createMethodCallNode = exports.createHashNode = exports.createEscapeNode = void 0;
exports.createTest = exports.createTemplate = exports.createSourceMapRuntime = exports.createSource = exports.createSandboxSecurityPolicy = exports.createOperator = exports.getChildrenCount = exports.getChildren = exports.createBaseNode = exports.createLexer = exports.createFunction = exports.createFilter = exports.createExtensionSet = exports.createEnvironment = exports.createWithTagHandler = exports.createVerbatimTagHandler = exports.createUseTagHandler = exports.createSpacelessTagHandler = exports.createSetTagHandler = exports.createSandboxTagHandler = exports.createMacroTagHandler = exports.createLineTagHandler = exports.createIncludeTagHandler = exports.createImportTagHandler = exports.createIfTagHandler = exports.createFromTagHandler = exports.createForTagHandler = exports.createFlushTagHandler = exports.createFilterTagHandler = void 0;
var error_1 = require("./lib/error");
Object.defineProperty(exports, "isATwingError", { enumerable: true, get: function () { return error_1.isATwingError; } });
var parsing_1 = require("./lib/error/parsing");
Object.defineProperty(exports, "createParsingError", { enumerable: true, get: function () { return parsing_1.createParsingError; } });
var runtime_1 = require("./lib/error/runtime");
Object.defineProperty(exports, "createRuntimeError", { enumerable: true, get: function () { return runtime_1.createRuntimeError; } });
Object.defineProperty(exports, "isARuntimeError", { enumerable: true, get: function () { return runtime_1.isARuntimeError; } });
var loader_1 = require("./lib/error/loader");
Object.defineProperty(exports, "createTemplateLoadingError", { enumerable: true, get: function () { return loader_1.createTemplateLoadingError; } });
Object.defineProperty(exports, "isATemplateLoadingError", { enumerable: true, get: function () { return loader_1.isATemplateLoadingError; } });
var filesystem_1 = require("./lib/loader/filesystem");
Object.defineProperty(exports, "createFilesystemLoader", { enumerable: true, get: function () { return filesystem_1.createFilesystemLoader; } });
var array_1 = require("./lib/loader/array");
Object.defineProperty(exports, "createArrayLoader", { enumerable: true, get: function () { return array_1.createArrayLoader; } });
var chain_1 = require("./lib/loader/chain");
Object.defineProperty(exports, "createChainLoader", { enumerable: true, get: function () { return chain_1.createChainLoader; } });
var markup_1 = require("./lib/markup");
Object.defineProperty(exports, "createMarkup", { enumerable: true, get: function () { return markup_1.createMarkup; } });
Object.defineProperty(exports, "isAMarkup", { enumerable: true, get: function () { return markup_1.isAMarkup; } });
var apply_1 = require("./lib/node/apply");
Object.defineProperty(exports, "createApplyNode", { enumerable: true, get: function () { return apply_1.createApplyNode; } });
var auto_escape_1 = require("./lib/node/auto-escape");
Object.defineProperty(exports, "createAutoEscapeNode", { enumerable: true, get: function () { return auto_escape_1.createAutoEscapeNode; } });
var block_1 = require("./lib/node/block");
Object.defineProperty(exports, "createBlockNode", { enumerable: true, get: function () { return block_1.createBlockNode; } });
var block_reference_1 = require("./lib/node/block-reference");
Object.defineProperty(exports, "createBlockReferenceNode", { enumerable: true, get: function () { return block_reference_1.createBlockReferenceNode; } });
var body_1 = require("./lib/node/body");
Object.defineProperty(exports, "createBodyNode", { enumerable: true, get: function () { return body_1.createBodyNode; } });
var check_security_1 = require("./lib/node/check-security");
Object.defineProperty(exports, "createCheckSecurityNode", { enumerable: true, get: function () { return check_security_1.createCheckSecurityNode; } });
var check_to_string_1 = require("./lib/node/check-to-string");
Object.defineProperty(exports, "createCheckToStringNode", { enumerable: true, get: function () { return check_to_string_1.createCheckToStringNode; } });
var comment_1 = require("./lib/node/comment");
Object.defineProperty(exports, "createCommentNode", { enumerable: true, get: function () { return comment_1.createCommentNode; } });
var deprecated_1 = require("./lib/node/deprecated");
Object.defineProperty(exports, "createDeprecatedNode", { enumerable: true, get: function () { return deprecated_1.createDeprecatedNode; } });
var do_1 = require("./lib/node/do");
Object.defineProperty(exports, "createDoNode", { enumerable: true, get: function () { return do_1.createDoNode; } });
var flush_1 = require("./lib/node/flush");
Object.defineProperty(exports, "createFlushNode", { enumerable: true, get: function () { return flush_1.createFlushNode; } });
var for_1 = require("./lib/node/for");
Object.defineProperty(exports, "createForNode", { enumerable: true, get: function () { return for_1.createForNode; } });
var for_loop_1 = require("./lib/node/for-loop");
Object.defineProperty(exports, "createForLoopNode", { enumerable: true, get: function () { return for_loop_1.createForLoopNode; } });
var if_1 = require("./lib/node/if");
Object.defineProperty(exports, "createIfNode", { enumerable: true, get: function () { return if_1.createIfNode; } });
var import_1 = require("./lib/node/import");
Object.defineProperty(exports, "createImportNode", { enumerable: true, get: function () { return import_1.createImportNode; } });
var include_1 = require("./lib/node/include");
Object.defineProperty(exports, "createBaseIncludeNode", { enumerable: true, get: function () { return include_1.createBaseIncludeNode; } });
var line_1 = require("./lib/node/line");
Object.defineProperty(exports, "createLineNode", { enumerable: true, get: function () { return line_1.createLineNode; } });
var macro_1 = require("./lib/node/macro");
Object.defineProperty(exports, "createMacroNode", { enumerable: true, get: function () { return macro_1.createMacroNode; } });
var print_1 = require("./lib/node/print");
Object.defineProperty(exports, "createPrintNode", { enumerable: true, get: function () { return print_1.createPrintNode; } });
var sandbox_1 = require("./lib/node/sandbox");
Object.defineProperty(exports, "createSandboxNode", { enumerable: true, get: function () { return sandbox_1.createSandboxNode; } });
var set_1 = require("./lib/node/set");
Object.defineProperty(exports, "createSetNode", { enumerable: true, get: function () { return set_1.createSetNode; } });
var spaceless_1 = require("./lib/node/spaceless");
Object.defineProperty(exports, "createSpacelessNode", { enumerable: true, get: function () { return spaceless_1.createSpacelessNode; } });
var template_1 = require("./lib/node/template");
Object.defineProperty(exports, "createTemplateNode", { enumerable: true, get: function () { return template_1.createTemplateNode; } });
var text_1 = require("./lib/node/text");
Object.defineProperty(exports, "createTextNode", { enumerable: true, get: function () { return text_1.createTextNode; } });
var trait_1 = require("./lib/node/trait");
Object.defineProperty(exports, "createTraitNode", { enumerable: true, get: function () { return trait_1.createTraitNode; } });
var verbatim_1 = require("./lib/node/verbatim");
Object.defineProperty(exports, "createVerbatimNode", { enumerable: true, get: function () { return verbatim_1.createVerbatimNode; } });
var with_1 = require("./lib/node/with");
Object.defineProperty(exports, "createWithNode", { enumerable: true, get: function () { return with_1.createWithNode; } });
var wrapper_1 = require("./lib/node/wrapper");
Object.defineProperty(exports, "createWrapperNode", { enumerable: true, get: function () { return wrapper_1.createWrapperNode; } });
var array_2 = require("./lib/node/expression/array");
Object.defineProperty(exports, "createBaseArrayNode", { enumerable: true, get: function () { return array_2.createBaseArrayNode; } });
Object.defineProperty(exports, "createArrayNode", { enumerable: true, get: function () { return array_2.createArrayNode; } });
var arrow_function_1 = require("./lib/node/expression/arrow-function");
Object.defineProperty(exports, "createArrowFunctionNode", { enumerable: true, get: function () { return arrow_function_1.createArrowFunctionNode; } });
var assignment_1 = require("./lib/node/expression/assignment");
Object.defineProperty(exports, "createAssignmentNode", { enumerable: true, get: function () { return assignment_1.createAssignmentNode; } });
var attribute_accessor_1 = require("./lib/node/expression/attribute-accessor");
Object.defineProperty(exports, "createAttributeAccessorNode", { enumerable: true, get: function () { return attribute_accessor_1.createAttributeAccessorNode; } });
var binary_1 = require("./lib/node/expression/binary");
Object.defineProperty(exports, "createBaseBinaryNode", { enumerable: true, get: function () { return binary_1.createBaseBinaryNode; } });
var block_function_1 = require("./lib/node/expression/block-function");
Object.defineProperty(exports, "createBlockFunctionNode", { enumerable: true, get: function () { return block_function_1.createBlockFunctionNode; } });
var call_1 = require("./lib/node/expression/call");
Object.defineProperty(exports, "createBaseCallNode", { enumerable: true, get: function () { return call_1.createBaseCallNode; } });
var conditional_1 = require("./lib/node/expression/conditional");
Object.defineProperty(exports, "createBaseConditionalNode", { enumerable: true, get: function () { return conditional_1.createBaseConditionalNode; } });
Object.defineProperty(exports, "createConditionalNode", { enumerable: true, get: function () { return conditional_1.createConditionalNode; } });
var constant_1 = require("./lib/node/expression/constant");
Object.defineProperty(exports, "createConstantNode", { enumerable: true, get: function () { return constant_1.createConstantNode; } });
var escape_1 = require("./lib/node/expression/escape");
Object.defineProperty(exports, "createEscapeNode", { enumerable: true, get: function () { return escape_1.createEscapeNode; } });
var hash_1 = require("./lib/node/expression/hash");
Object.defineProperty(exports, "createHashNode", { enumerable: true, get: function () { return hash_1.createHashNode; } });
var method_call_1 = require("./lib/node/expression/method-call");
Object.defineProperty(exports, "createMethodCallNode", { enumerable: true, get: function () { return method_call_1.createMethodCallNode; } });
var name_1 = require("./lib/node/expression/name");
Object.defineProperty(exports, "createNameNode", { enumerable: true, get: function () { return name_1.createNameNode; } });
var nullish_coalescing_1 = require("./lib/node/expression/nullish-coalescing");
Object.defineProperty(exports, "createNullishCoalescingNode", { enumerable: true, get: function () { return nullish_coalescing_1.createNullishCoalescingNode; } });
var parent_function_1 = require("./lib/node/expression/parent-function");
Object.defineProperty(exports, "createParentFunctionNode", { enumerable: true, get: function () { return parent_function_1.createParentFunctionNode; } });
var spread_1 = require("./lib/node/expression/spread");
Object.defineProperty(exports, "createSpreadNode", { enumerable: true, get: function () { return spread_1.createSpreadNode; } });
var unary_1 = require("./lib/node/expression/unary");
Object.defineProperty(exports, "createBaseUnaryNode", { enumerable: true, get: function () { return unary_1.createBaseUnaryNode; } });
var add_1 = require("./lib/node/expression/binary/add");
Object.defineProperty(exports, "createAddNode", { enumerable: true, get: function () { return add_1.createAddNode; } });
var and_1 = require("./lib/node/expression/binary/and");
Object.defineProperty(exports, "createAndNode", { enumerable: true, get: function () { return and_1.createAndNode; } });
var bitwise_and_1 = require("./lib/node/expression/binary/bitwise-and");
Object.defineProperty(exports, "createBitwiseAndNode", { enumerable: true, get: function () { return bitwise_and_1.createBitwiseAndNode; } });
var bitwise_or_1 = require("./lib/node/expression/binary/bitwise-or");
Object.defineProperty(exports, "createBitwiseOrNode", { enumerable: true, get: function () { return bitwise_or_1.createBitwiseOrNode; } });
var bitwise_xor_1 = require("./lib/node/expression/binary/bitwise-xor");
Object.defineProperty(exports, "createBitwiseXorNode", { enumerable: true, get: function () { return bitwise_xor_1.createBitwiseXorNode; } });
var concatenate_1 = require("./lib/node/expression/binary/concatenate");
Object.defineProperty(exports, "createConcatenateNode", { enumerable: true, get: function () { return concatenate_1.createConcatenateNode; } });
var divide_and_floor_1 = require("./lib/node/expression/binary/divide-and-floor");
Object.defineProperty(exports, "createDivideAndFloorNode", { enumerable: true, get: function () { return divide_and_floor_1.createDivideAndFloorNode; } });
var divide_1 = require("./lib/node/expression/binary/divide");
Object.defineProperty(exports, "createDivideNode", { enumerable: true, get: function () { return divide_1.createDivideNode; } });
var ends_with_1 = require("./lib/node/expression/binary/ends-with");
Object.defineProperty(exports, "createEndsWithNode", { enumerable: true, get: function () { return ends_with_1.createEndsWithNode; } });
var has_every_1 = require("./lib/node/expression/binary/has-every");
Object.defineProperty(exports, "createHasEveryNode", { enumerable: true, get: function () { return has_every_1.createHasEveryNode; } });
var has_some_1 = require("./lib/node/expression/binary/has-some");
Object.defineProperty(exports, "createHasSomeNode", { enumerable: true, get: function () { return has_some_1.createHasSomeNode; } });
var is_equal_to_1 = require("./lib/node/expression/binary/is-equal-to");
Object.defineProperty(exports, "createIsEqualNode", { enumerable: true, get: function () { return is_equal_to_1.createIsEqualNode; } });
var is_greater_than_1 = require("./lib/node/expression/binary/is-greater-than");
Object.defineProperty(exports, "createIsGreaterThanNode", { enumerable: true, get: function () { return is_greater_than_1.createIsGreaterThanNode; } });
var is_greater_than_or_equal_to_1 = require("./lib/node/expression/binary/is-greater-than-or-equal-to");
Object.defineProperty(exports, "createIsGreaterThanOrEqualToNode", { enumerable: true, get: function () { return is_greater_than_or_equal_to_1.createIsGreaterThanOrEqualToNode; } });
var is_in_1 = require("./lib/node/expression/binary/is-in");
Object.defineProperty(exports, "createIsInNode", { enumerable: true, get: function () { return is_in_1.createIsInNode; } });
var is_less_than_1 = require("./lib/node/expression/binary/is-less-than");
Object.defineProperty(exports, "createIsLessThanNode", { enumerable: true, get: function () { return is_less_than_1.createIsLessThanNode; } });
var is_less_than_or_equal_to_1 = require("./lib/node/expression/binary/is-less-than-or-equal-to");
Object.defineProperty(exports, "createIsLessThanOrEqualToNode", { enumerable: true, get: function () { return is_less_than_or_equal_to_1.createIsLessThanOrEqualToNode; } });
var is_not_equal_to_1 = require("./lib/node/expression/binary/is-not-equal-to");
Object.defineProperty(exports, "createIsNotEqualToNode", { enumerable: true, get: function () { return is_not_equal_to_1.createIsNotEqualToNode; } });
var is_not_in_1 = require("./lib/node/expression/binary/is-not-in");
Object.defineProperty(exports, "createIsNotInNode", { enumerable: true, get: function () { return is_not_in_1.createIsNotInNode; } });
var matches_1 = require("./lib/node/expression/binary/matches");
Object.defineProperty(exports, "createMatchesNode", { enumerable: true, get: function () { return matches_1.createMatchesNode; } });
var modulo_1 = require("./lib/node/expression/binary/modulo");
Object.defineProperty(exports, "createModuloNode", { enumerable: true, get: function () { return modulo_1.createModuloNode; } });
var multiply_1 = require("./lib/node/expression/binary/multiply");
Object.defineProperty(exports, "createMultiplyNode", { enumerable: true, get: function () { return multiply_1.createMultiplyNode; } });
var or_1 = require("./lib/node/expression/binary/or");
Object.defineProperty(exports, "createOrNode", { enumerable: true, get: function () { return or_1.createOrNode; } });
var power_1 = require("./lib/node/expression/binary/power");
Object.defineProperty(exports, "createPowerNode", { enumerable: true, get: function () { return power_1.createPowerNode; } });
var range_1 = require("./lib/node/expression/binary/range");
Object.defineProperty(exports, "createRangeNode", { enumerable: true, get: function () { return range_1.createRangeNode; } });
var starts_with_1 = require("./lib/node/expression/binary/starts-with");
Object.defineProperty(exports, "createStartsWithNode", { enumerable: true, get: function () { return starts_with_1.createStartsWithNode; } });
var subtract_1 = require("./lib/node/expression/binary/subtract");
Object.defineProperty(exports, "createSubtractNode", { enumerable: true, get: function () { return subtract_1.createSubtractNode; } });
var filter_1 = require("./lib/node/expression/call/filter");
Object.defineProperty(exports, "createFilterNode", { enumerable: true, get: function () { return filter_1.createFilterNode; } });
var function_1 = require("./lib/node/expression/call/function");
Object.defineProperty(exports, "createFunctionNode", { enumerable: true, get: function () { return function_1.createFunctionNode; } });
var test_1 = require("./lib/node/expression/call/test");
Object.defineProperty(exports, "createTestNode", { enumerable: true, get: function () { return test_1.createTestNode; } });
var negative_1 = require("./lib/node/expression/unary/negative");
Object.defineProperty(exports, "createNegativeNode", { enumerable: true, get: function () { return negative_1.createNegativeNode; } });
var not_1 = require("./lib/node/expression/unary/not");
Object.defineProperty(exports, "createNotNode", { enumerable: true, get: function () { return not_1.createNotNode; } });
var positive_1 = require("./lib/node/expression/unary/positive");
Object.defineProperty(exports, "createPositiveNode", { enumerable: true, get: function () { return positive_1.createPositiveNode; } });
var embed_1 = require("./lib/node/include/embed");
Object.defineProperty(exports, "createEmbedNode", { enumerable: true, get: function () { return embed_1.createEmbedNode; } });
var include_2 = require("./lib/node/include/include");
Object.defineProperty(exports, "createIncludeNode", { enumerable: true, get: function () { return include_2.createIncludeNode; } });
var apply_2 = require("./lib/tag-handler/apply");
Object.defineProperty(exports, "createApplyTagHandler", { enumerable: true, get: function () { return apply_2.createApplyTagHandler; } });
var auto_escape_2 = require("./lib/tag-handler/auto-escape");
Object.defineProperty(exports, "createAutoEscapeTagHandler", { enumerable: true, get: function () { return auto_escape_2.createAutoEscapeTagHandler; } });
var block_2 = require("./lib/tag-handler/block");
Object.defineProperty(exports, "createBlockTagHandler", { enumerable: true, get: function () { return block_2.createBlockTagHandler; } });
var deprecated_2 = require("./lib/tag-handler/deprecated");
Object.defineProperty(exports, "createDeprecatedTagHandler", { enumerable: true, get: function () { return deprecated_2.createDeprecatedTagHandler; } });
var do_2 = require("./lib/tag-handler/do");
Object.defineProperty(exports, "createDoTagHandler", { enumerable: true, get: function () { return do_2.createDoTagHandler; } });
var embed_2 = require("./lib/tag-handler/embed");
Object.defineProperty(exports, "createEmbedTagHandler", { enumerable: true, get: function () { return embed_2.createEmbedTagHandler; } });
var extends_1 = require("./lib/tag-handler/extends");
Object.defineProperty(exports, "createExtendsTagHandler", { enumerable: true, get: function () { return extends_1.createExtendsTagHandler; } });
var filter_2 = require("./lib/tag-handler/filter");
Object.defineProperty(exports, "createFilterTagHandler", { enumerable: true, get: function () { return filter_2.createFilterTagHandler; } });
var flush_2 = require("./lib/tag-handler/flush");
Object.defineProperty(exports, "createFlushTagHandler", { enumerable: true, get: function () { return flush_2.createFlushTagHandler; } });
var for_2 = require("./lib/tag-handler/for");
Object.defineProperty(exports, "createForTagHandler", { enumerable: true, get: function () { return for_2.createForTagHandler; } });
var from_1 = require("./lib/tag-handler/from");
Object.defineProperty(exports, "createFromTagHandler", { enumerable: true, get: function () { return from_1.createFromTagHandler; } });
var if_2 = require("./lib/tag-handler/if");
Object.defineProperty(exports, "createIfTagHandler", { enumerable: true, get: function () { return if_2.createIfTagHandler; } });
var import_2 = require("./lib/tag-handler/import");
Object.defineProperty(exports, "createImportTagHandler", { enumerable: true, get: function () { return import_2.createImportTagHandler; } });
var include_3 = require("./lib/tag-handler/include");
Object.defineProperty(exports, "createIncludeTagHandler", { enumerable: true, get: function () { return include_3.createIncludeTagHandler; } });
var line_2 = require("./lib/tag-handler/line");
Object.defineProperty(exports, "createLineTagHandler", { enumerable: true, get: function () { return line_2.createLineTagHandler; } });
var macro_2 = require("./lib/tag-handler/macro");
Object.defineProperty(exports, "createMacroTagHandler", { enumerable: true, get: function () { return macro_2.createMacroTagHandler; } });
var sandbox_2 = require("./lib/tag-handler/sandbox");
Object.defineProperty(exports, "createSandboxTagHandler", { enumerable: true, get: function () { return sandbox_2.createSandboxTagHandler; } });
var set_2 = require("./lib/tag-handler/set");
Object.defineProperty(exports, "createSetTagHandler", { enumerable: true, get: function () { return set_2.createSetTagHandler; } });
var spaceless_2 = require("./lib/tag-handler/spaceless");
Object.defineProperty(exports, "createSpacelessTagHandler", { enumerable: true, get: function () { return spaceless_2.createSpacelessTagHandler; } });
var use_1 = require("./lib/tag-handler/use");
Object.defineProperty(exports, "createUseTagHandler", { enumerable: true, get: function () { return use_1.createUseTagHandler; } });
var verbatim_2 = require("./lib/tag-handler/verbatim");
Object.defineProperty(exports, "createVerbatimTagHandler", { enumerable: true, get: function () { return verbatim_2.createVerbatimTagHandler; } });
var with_2 = require("./lib/tag-handler/with");
Object.defineProperty(exports, "createWithTagHandler", { enumerable: true, get: function () { return with_2.createWithTagHandler; } });
var environment_1 = require("./lib/environment");
Object.defineProperty(exports, "createEnvironment", { enumerable: true, get: function () { return environment_1.createEnvironment; } });
var extension_set_1 = require("./lib/extension-set");
Object.defineProperty(exports, "createExtensionSet", { enumerable: true, get: function () { return extension_set_1.createExtensionSet; } });
var filter_3 = require("./lib/filter");
Object.defineProperty(exports, "createFilter", { enumerable: true, get: function () { return filter_3.createFilter; } });
var function_2 = require("./lib/function");
Object.defineProperty(exports, "createFunction", { enumerable: true, get: function () { return function_2.createFunction; } });
var lexer_1 = require("./lib/lexer");
Object.defineProperty(exports, "createLexer", { enumerable: true, get: function () { return lexer_1.createLexer; } });
var node_1 = require("./lib/node");
Object.defineProperty(exports, "createBaseNode", { enumerable: true, get: function () { return node_1.createBaseNode; } });
Object.defineProperty(exports, "getChildren", { enumerable: true, get: function () { return node_1.getChildren; } });
Object.defineProperty(exports, "getChildrenCount", { enumerable: true, get: function () { return node_1.getChildrenCount; } });
var operator_1 = require("./lib/operator");
Object.defineProperty(exports, "createOperator", { enumerable: true, get: function () { return operator_1.createOperator; } });
var security_policy_1 = require("./lib/sandbox/security-policy");
Object.defineProperty(exports, "createSandboxSecurityPolicy", { enumerable: true, get: function () { return security_policy_1.createSandboxSecurityPolicy; } });
var source_1 = require("./lib/source");
Object.defineProperty(exports, "createSource", { enumerable: true, get: function () { return source_1.createSource; } });
var source_map_runtime_1 = require("./lib/source-map-runtime");
Object.defineProperty(exports, "createSourceMapRuntime", { enumerable: true, get: function () { return source_map_runtime_1.createSourceMapRuntime; } });
var template_2 = require("./lib/template");
Object.defineProperty(exports, "createTemplate", { enumerable: true, get: function () { return template_2.createTemplate; } });
var test_2 = require("./lib/test");
Object.defineProperty(exports, "createTest", { enumerable: true, get: function () { return test_2.createTest; } });
