"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isATemplateLoadingError = exports.createTemplateLoadingError = exports.templateLoadingError = void 0;
const base_1 = require("./base");
exports.templateLoadingError = 'TwingTemplateLoadingError';
const createTemplateLoadingError = (names, location, source, previous) => {
    let message;
    if (names.length === 1) {
        const name = names[0];
        message = `Unable to find template "${name ? name : ''}".`;
    }
    else {
        message = `Unable to find one of the following templates: "${names.join('", "')}".`;
    }
    const error = (0, base_1.createBaseError)(exports.templateLoadingError, message, location, source, previous);
    Error.captureStackTrace(error, exports.createTemplateLoadingError);
    return error;
};
exports.createTemplateLoadingError = createTemplateLoadingError;
const isATemplateLoadingError = (candidate) => {
    return candidate.name === exports.templateLoadingError;
};
exports.isATemplateLoadingError = isATemplateLoadingError;
