"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createRuntimeError = exports.isARuntimeError = exports.runtimeErrorName = void 0;
const base_1 = require("./base");
exports.runtimeErrorName = 'TwingRuntimeError';
const isARuntimeError = (candidate) => {
    return candidate.name === exports.runtimeErrorName;
};
exports.isARuntimeError = isARuntimeError;
const createRuntimeError = (message, location, source, previous) => {
    const error = (0, base_1.createBaseError)(exports.runtimeErrorName, message, location, source, previous);
    Error.captureStackTrace(error, exports.createRuntimeError);
    return error;
};
exports.createRuntimeError = createRuntimeError;
