"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.escape = void 0;
const markup_1 = require("../../../markup");
const escape = (executionContext, value, strategy) => {
    if (strategy === null) {
        strategy = "html";
    }
    const { template, charset } = executionContext;
    return template.escape(value, strategy, charset)
        .then((value) => {
        if (typeof value === "string") {
            return (0, markup_1.createMarkup)(value, charset);
        }
        return value;
    });
};
exports.escape = escape;
