"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.keys = void 0;
const iterator_to_map_1 = require("../../../helpers/iterator-to-map");
/**
 * Returns the keys of the passed array.
 *
 * @param _executionContext
 * @param values An array
 *
 * @returns {Promise<Array<any>>} The keys
 */
const keys = (_executionContext, values) => {
    let traversable;
    if ((values === null) || (values === undefined)) {
        traversable = new Map();
    }
    else {
        traversable = (0, iterator_to_map_1.iteratorToMap)(values);
    }
    return Promise.resolve([...traversable.keys()]);
};
exports.keys = keys;
