"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.length = void 0;
/**
 * Returns the length of a thing.
 *
 * @param {any} thing A thing
 *
 * @returns {Promise<number>} The length of the thing
 */
const length = (_executionContext, thing) => {
    let length;
    if ((thing === null) || (thing === undefined)) {
        length = 0;
    }
    else if (thing.length !== undefined) {
        length = thing.length;
    }
    else if (thing.size !== undefined) {
        length = thing.size;
    }
    else if (thing.toString && (typeof thing.toString === 'function')) {
        length = thing.toString().length;
    }
    else {
        length = 1;
    }
    return Promise.resolve(length);
};
exports.length = length;
