"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.dump = void 0;
const iterate_1 = require("../../../helpers/iterate");
const markup_1 = require("../../../markup");
const php_1 = require("../../../helpers/php");
const dump = (executionContext, ...vars) => {
    if (vars.length < 1) {
        const vars_ = new Map();
        return (0, iterate_1.iterate)(executionContext.context, (key, value) => {
            vars_.set(key, value);
            return Promise.resolve();
        }).then(() => {
            return (0, markup_1.createMarkup)((0, php_1.varDump)(vars_));
        });
    }
    return Promise.resolve((0, markup_1.createMarkup)((0, php_1.varDump)(...vars)));
};
exports.dump = dump;
