"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.source = void 0;
const loader_1 = require("../../../error/loader");
/**
 * Returns a template content without rendering it.
 *
 * @param executionContext
 * @param name The template name
 * @param ignoreMissing Whether to ignore missing templates or not
 *
 * @return {Promise<string>} The template source
 */
const source = (executionContext, name, ignoreMissing) => {
    const { template } = executionContext;
    return template.getTemplateSource(name)
        .then((source) => {
        if (!ignoreMissing && (source === null)) {
            throw (0, loader_1.createTemplateLoadingError)([name]);
        }
        return (source === null || source === void 0 ? void 0 : source.code) || null;
    });
};
exports.source = source;
