"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isTraversable = void 0;
/**
 * Check that an object is traversable in the sense of PHP,
 * i.e. implements PHP Traversable interface
 *
 * @param value
 * @returns {boolean}
 */
function isTraversable(value) {
    if ((value !== null) && (value !== undefined)) {
        if (typeof value === 'string') {
            return false;
        }
        if (typeof value['entries'] === 'function') {
            return true;
        }
        if ((typeof value[Symbol.iterator] === 'function') || (typeof value['next'] === 'function')) {
            return true;
        }
    }
    return false;
}
exports.isTraversable = isTraversable;
