"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.some = exports.every = exports.isAMapLike = void 0;
const iterator_to_map_1 = require("./iterator-to-map");
function isAMapLike(candidate) {
    return candidate !== null &&
        candidate !== undefined &&
        candidate.delete !== undefined &&
        candidate.get !== undefined &&
        candidate.has !== undefined &&
        candidate.set !== undefined &&
        candidate.entries !== undefined;
}
exports.isAMapLike = isAMapLike;
const every = async (iterable, comparator) => {
    if (Array.isArray(iterable)) {
        iterable = (0, iterator_to_map_1.iteratorToMap)(iterable);
    }
    for (const [key, value] of iterable) {
        if (await comparator(value, key) === false) {
            return false;
        }
    }
    return true;
};
exports.every = every;
const some = async (iterable, comparator) => {
    if (Array.isArray(iterable)) {
        iterable = (0, iterator_to_map_1.iteratorToMap)(iterable);
    }
    for (const [key, value] of iterable) {
        if (await comparator(value, key) === true) {
            return true;
        }
    }
    return false;
};
exports.some = some;
