"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createArrayLoader = void 0;
const source_1 = require("../source");
const createArrayLoader = (templates) => {
    const loader = {
        setTemplate: (name, template) => {
            templates[name] = template;
        },
        getSource: (name, from) => {
            return loader.exists(name, from)
                .then((exists) => {
                if (!exists) {
                    return null;
                }
                return (0, source_1.createSource)(name, templates[name]);
            });
        },
        exists(name) {
            return Promise.resolve(templates[name] !== undefined);
        },
        resolve: (name, from) => {
            return loader.exists(name, from)
                .then((exists) => {
                if (!exists) {
                    return null;
                }
                return name;
            });
        },
        isFresh: () => {
            return Promise.resolve(true);
        }
    };
    return loader;
};
exports.createArrayLoader = createArrayLoader;
