"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createBaseNode = exports.getChildrenCount = exports.getChildren = void 0;
const getChildren = (node) => {
    return Object.entries(node.children);
};
exports.getChildren = getChildren;
const getChildrenCount = (node) => {
    return Object.keys(node.children).length;
};
exports.getChildrenCount = getChildrenCount;
const createBaseNode = (type, attributes = {}, children = {}, line = 0, column = 0, tag = null) => {
    return {
        attributes,
        children,
        column,
        line,
        tag,
        type,
        execute: async (executionContext) => {
            const output = [];
            for (const [, child] of Object.entries(children)) {
                output.push(await child.execute(executionContext));
            }
            return output;
        }
    };
};
exports.createBaseNode = createBaseNode;
