"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createBlockReferenceNode = void 0;
const node_1 = require("../node");
const traceable_method_1 = require("../helpers/traceable-method");
const createBlockReferenceNode = (name, line, column, tag) => {
    const outputNode = (0, node_1.createBaseNode)("block_reference", {
        name
    }, {}, line, column, tag);
    const blockReferenceNode = Object.assign(Object.assign({}, outputNode), { execute: (executionContext) => {
            const { template, context, outputBuffer, blocks, sandboxed, sourceMapRuntime } = executionContext;
            const { name } = blockReferenceNode.attributes;
            const renderBlock = (0, traceable_method_1.getTraceableMethod)(template.renderBlock, blockReferenceNode.line, blockReferenceNode.column, template.name);
            return renderBlock(name, context.clone(), outputBuffer, blocks, true, sandboxed, sourceMapRuntime).then(outputBuffer.echo);
        } });
    return blockReferenceNode;
};
exports.createBlockReferenceNode = createBlockReferenceNode;
