"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createDeprecatedNode = void 0;
const node_1 = require("../node");
const createDeprecatedNode = (message, line, column, tag) => {
    const baseNode = (0, node_1.createBaseNode)("deprecated", {}, {
        message
    }, line, column, tag);
    const deprecatedNode = Object.assign(Object.assign({}, baseNode), { execute: (executionContext) => {
            const { template } = executionContext;
            const { message } = deprecatedNode.children;
            return message.execute(executionContext)
                .then((message) => {
                console.warn(`${message} ("${template.name}" at line ${deprecatedNode.line}, column ${deprecatedNode.column})`);
            });
        } });
    return deprecatedNode;
};
exports.createDeprecatedNode = createDeprecatedNode;
