"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createArrowFunctionNode = void 0;
const expression_1 = require("../expression");
const createArrowFunctionNode = (body, names, line, column) => {
    const baseNode = (0, expression_1.createBaseExpressionNode)("arrow_function", {}, {
        body,
        names
    }, line, column);
    return Object.assign(Object.assign({}, baseNode), { execute: (executionContext) => {
            const { context } = executionContext;
            const { body } = baseNode.children;
            const assignmentNodes = Object.values(baseNode.children.names.children);
            return Promise.resolve((...functionArgs) => {
                let index = 0;
                for (const assignmentNode of assignmentNodes) {
                    const { name } = assignmentNode.attributes;
                    context.set(name, functionArgs[index]);
                    index++;
                }
                return body.execute(executionContext);
            });
        } });
};
exports.createArrowFunctionNode = createArrowFunctionNode;
