"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createConcatenateNode = void 0;
const binary_1 = require("../binary");
const concatenate_1 = require("../../../helpers/concatenate");
exports.createConcatenateNode = (0, binary_1.createBinaryNodeFactory)("concatenate", {
    execute: async (left, right, executionContext) => {
        const leftValue = await left.execute(executionContext);
        const rightValue = await right.execute(executionContext);
        return (0, concatenate_1.concatenate)(leftValue, rightValue);
    }
});
