"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createHasSomeNode = void 0;
const binary_1 = require("../binary");
const map_like_1 = require("../../../helpers/map-like");
exports.createHasSomeNode = (0, binary_1.createBinaryNodeFactory)("has_some", {
    execute: async (left, right, executionContext) => {
        const leftValue = await left.execute(executionContext);
        const rightValue = await right.execute(executionContext);
        if (typeof rightValue !== "function") {
            return Promise.resolve(false);
        }
        if (!(0, map_like_1.isAMapLike)(leftValue) && !Array.isArray(leftValue)) {
            return Promise.resolve(false);
        }
        return (0, map_like_1.some)(leftValue, rightValue);
    }
});
