"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createSpaceshipNode = void 0;
const binary_1 = require("../binary");
const compare_1 = require("../../../helpers/compare");
exports.createSpaceshipNode = (0, binary_1.createBinaryNodeFactory)("spaceship", {
    execute: async (left, right, executionContext) => {
        const leftValue = await left.execute(executionContext);
        const rightValue = await right.execute(executionContext);
        return (0, compare_1.compare)(leftValue, rightValue) ? 0 : (leftValue < rightValue ? -1 : 1);
    }
});
