"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createStartsWithNode = void 0;
const binary_1 = require("../binary");
exports.createStartsWithNode = (0, binary_1.createBinaryNodeFactory)("starts_with", {
    execute: async (left, right, executionContext) => {
        const leftValue = await left.execute(executionContext);
        if (typeof leftValue !== "string") {
            return false;
        }
        const rightValue = await right.execute(executionContext);
        if (typeof rightValue !== "string") {
            return false;
        }
        return rightValue.length < 1 || leftValue.startsWith(rightValue);
    }
});
