"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createConditionalNode = exports.createBaseConditionalNode = void 0;
const expression_1 = require("../expression");
const createBaseConditionalNode = (type, expr1, expr2, expr3, line, column) => {
    const baseNode = (0, expression_1.createBaseExpressionNode)(type, {}, {
        expr1, expr2, expr3
    }, line, column);
    return Object.assign(Object.assign({}, baseNode), { execute: async (executionContext) => {
            const { expr1, expr2, expr3 } = baseNode.children;
            return (await expr1.execute(executionContext)) ? expr2.execute(executionContext) : expr3.execute(executionContext);
        } });
};
exports.createBaseConditionalNode = createBaseConditionalNode;
const createConditionalNode = (expr1, expr2, expr3, line, column) => (0, exports.createBaseConditionalNode)("conditional", expr1, expr2, expr3, line, column);
exports.createConditionalNode = createConditionalNode;
