"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createEscapeNode = void 0;
const expression_1 = require("../expression");
const traceable_method_1 = require("../../helpers/traceable-method");
const createEscapeNode = (body, strategy) => {
    const baseNode = (0, expression_1.createBaseExpressionNode)("escape", {
        strategy
    }, {
        body
    }, body.line, body.column);
    const escapeNode = Object.assign(Object.assign({}, baseNode), { execute: (executionContext) => {
            const { template } = executionContext;
            const { strategy } = escapeNode.attributes;
            const { body } = escapeNode.children;
            return body.execute(executionContext)
                .then((value) => {
                const escape = (0, traceable_method_1.getTraceableMethod)(template.escape, escapeNode.line, escapeNode.column, template.name);
                return escape(value, strategy, null, true);
            });
        } });
    return escapeNode;
};
exports.createEscapeNode = createEscapeNode;
