"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createHashNode = void 0;
const array_1 = require("./array");
const createHashNode = (elements, line, column) => {
    const baseNode = (0, array_1.createBaseArrayNode)("hash", elements, line, column);
    const hashNode = Object.assign(Object.assign({}, baseNode), { execute: async (executionContext) => {
            const keyValuePairs = (0, array_1.getKeyValuePairs)(hashNode);
            const hash = new Map();
            for (const { key: keyNode, value: valueNode } of keyValuePairs) {
                const [key, value] = await Promise.all([
                    keyNode.execute(executionContext),
                    valueNode.execute(executionContext)
                ]);
                if (valueNode.type === "spread") {
                    for (const [valueKey, valueValue] of value) {
                        hash.set(valueKey, valueValue);
                    }
                }
                else {
                    hash.set(key, value);
                }
            }
            return hash;
        } });
    return hashNode;
};
exports.createHashNode = createHashNode;
