"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createParentFunctionNode = void 0;
const expression_1 = require("../expression");
const traceable_method_1 = require("../../helpers/traceable-method");
const createParentFunctionNode = (name, line, column) => {
    const baseNode = (0, expression_1.createBaseExpressionNode)("parent_function", {
        name,
        //output: false
    }, {}, line, column);
    const parentFunctionNode = Object.assign(Object.assign({}, baseNode), { execute: (executionContext) => {
            const { template, context, outputBuffer, sandboxed, sourceMapRuntime } = executionContext;
            const { name } = parentFunctionNode.attributes;
            const renderParentBlock = (0, traceable_method_1.getTraceableMethod)(template.renderParentBlock, parentFunctionNode.line, parentFunctionNode.column, template.name);
            return renderParentBlock(name, context, outputBuffer, sandboxed, sourceMapRuntime);
        } });
    return parentFunctionNode;
};
exports.createParentFunctionNode = createParentFunctionNode;
