"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createForLoopNode = void 0;
const node_1 = require("../node");
const createForLoopNode = (line, column, tag) => {
    const baseNode = (0, node_1.createBaseNode)("for_loop", {
        hasAnIf: false,
        hasAnElse: false
    }, {}, line, column, tag);
    const forLoopNode = Object.assign(Object.assign({}, baseNode), { execute: (executionContext) => {
            const { hasAnElse, hasAnIf } = forLoopNode.attributes;
            const { context } = executionContext;
            if (hasAnElse) {
                context.set('_iterated', true);
            }
            const loop = context.get('loop');
            loop.set('index0', loop.get('index0') + 1);
            loop.set('index', loop.get('index') + 1);
            loop.set('first', false);
            if (!hasAnIf && loop.has('length')) {
                loop.set('revindex0', loop.get('revindex0') - 1);
                loop.set('revindex', loop.get('revindex') - 1);
                loop.set('last', loop.get('revindex0') === 0);
            }
            return Promise.resolve();
        } });
    return forLoopNode;
};
exports.createForLoopNode = createForLoopNode;
