"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createIfNode = void 0;
const node_1 = require("../node");
const evaluate_1 = require("../helpers/evaluate");
const createIfNode = (testNode, elseNode, line, column, tag = null) => {
    const children = {
        tests: testNode
    };
    if (elseNode) {
        children.else = elseNode;
    }
    const baseNode = (0, node_1.createBaseNode)('if', {}, children, line, column, tag);
    const ifNode = Object.assign(Object.assign({}, baseNode), { execute: async (executionContext) => {
            const count = (0, node_1.getChildrenCount)(testNode);
            let index = 0;
            while (index < count) {
                const condition = testNode.children[index];
                const conditionResult = await condition.execute(executionContext);
                if ((0, evaluate_1.evaluate)(conditionResult)) {
                    // the condition is satisfied, we execute the belonging body and return the result
                    const body = testNode.children[index + 1];
                    return body.execute(executionContext);
                }
                index += 2;
            }
            if (elseNode !== null) {
                return elseNode.execute(executionContext);
            }
        } });
    return ifNode;
};
exports.createIfNode = createIfNode;
