"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createBaseIncludeNode = void 0;
const node_1 = require("../node");
const traceable_method_1 = require("../helpers/traceable-method");
const include_1 = require("../extension/core/functions/include");
const createBaseIncludeNode = (type, attributes, children, getTemplate, line, column, tag) => {
    const baseNode = (0, node_1.createBaseNode)(type, attributes, children, line, column, tag);
    const baseIncludeNode = Object.assign(Object.assign({}, baseNode), { execute: async (executionContext) => {
            const { outputBuffer, sandboxed, template } = executionContext;
            const { variables } = baseIncludeNode.children;
            const { only, ignoreMissing } = baseIncludeNode.attributes;
            const templatesToInclude = await getTemplate(executionContext);
            const traceableInclude = (0, traceable_method_1.getTraceableMethod)(include_1.include, baseNode.line, baseNode.column, template.name);
            const output = await traceableInclude(executionContext, templatesToInclude, await variables.execute(executionContext), !only, ignoreMissing, sandboxed);
            outputBuffer.echo(output);
        } });
    return baseIncludeNode;
};
exports.createBaseIncludeNode = createBaseIncludeNode;
