"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createEmbedNode = void 0;
const include_1 = require("../include");
const traceable_method_1 = require("../../helpers/traceable-method");
const createEmbedNode = (attributes, children, line, column, tag) => {
    const embedNode = (0, include_1.createBaseIncludeNode)("embed", attributes, children, ({ template }) => {
        const { index } = embedNode.attributes;
        const loadTemplate = (0, traceable_method_1.getTraceableMethod)(template.loadEmbeddedTemplate, embedNode.line, embedNode.column, template.name);
        return loadTemplate(index);
    }, line, column, tag);
    return embedNode;
};
exports.createEmbedNode = createEmbedNode;
