"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createPrintNode = void 0;
const node_1 = require("../node");
const createPrintNode = (expression, line, column) => {
    const outputNode = (0, node_1.createBaseNode)("print", {}, {
        expression: expression
    }, line, column, null);
    const printNode = Object.assign(Object.assign({}, outputNode), { execute: (executionContext) => {
            const { template, outputBuffer, sourceMapRuntime } = executionContext;
            sourceMapRuntime === null || sourceMapRuntime === void 0 ? void 0 : sourceMapRuntime.enterSourceMapBlock(printNode.line, printNode.column, printNode.type, template.source, outputBuffer);
            return printNode.children.expression.execute(executionContext)
                .then((result) => {
                if (Array.isArray(result)) {
                    result = 'Array';
                }
                outputBuffer.echo(result);
                sourceMapRuntime === null || sourceMapRuntime === void 0 ? void 0 : sourceMapRuntime.leaveSourceMapBlock(outputBuffer);
            });
        } });
    return printNode;
};
exports.createPrintNode = createPrintNode;
