"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createSpacelessNode = void 0;
const node_1 = require("../node");
const createSpacelessNode = (body, line, column, tag) => {
    const baseNode = (0, node_1.createBaseNode)("spaceless", {}, {
        body
    }, line, column, tag);
    const spacelessNode = Object.assign(Object.assign({}, baseNode), { execute: (executionContext) => {
            const { outputBuffer } = executionContext;
            outputBuffer.start();
            return spacelessNode.children.body.execute(executionContext)
                .then(() => {
                const content = outputBuffer.getAndClean().replace(/>\s+</g, '><').trim();
                outputBuffer.echo(content);
            });
        } });
    return spacelessNode;
};
exports.createSpacelessNode = createSpacelessNode;
