"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createTextNode = exports.createBaseTextNode = void 0;
const node_1 = require("../node");
const createBaseTextNode = (type, data, line, column, tag = null) => {
    const outputNode = (0, node_1.createBaseNode)(type, {
        data
    }, {}, line, column, tag);
    const textNode = Object.assign(Object.assign({}, outputNode), { execute(executionContext) {
            const { template, outputBuffer, sourceMapRuntime } = executionContext;
            sourceMapRuntime === null || sourceMapRuntime === void 0 ? void 0 : sourceMapRuntime.enterSourceMapBlock(textNode.line, textNode.column, textNode.type, template.source, outputBuffer);
            outputBuffer.echo(textNode.attributes.data);
            sourceMapRuntime === null || sourceMapRuntime === void 0 ? void 0 : sourceMapRuntime.leaveSourceMapBlock(outputBuffer);
            return Promise.resolve();
        } });
    return textNode;
};
exports.createBaseTextNode = createBaseTextNode;
const createTextNode = (data, line, column) => (0, exports.createBaseTextNode)("text", data, line, column);
exports.createTextNode = createTextNode;
