"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isASandboxSecurityNotAllowedFilterError = exports.createSandboxSecurityNotAllowedFilterError = void 0;
const security_error_1 = require("./security-error");
const createSandboxSecurityNotAllowedFilterError = (message, filterName, location, source) => {
    const error = (0, security_error_1.createBaseSandboxSecurityError)(message, location, source);
    Error.captureStackTrace(error, exports.createSandboxSecurityNotAllowedFilterError);
    return Object.assign(error, {
        get filterName() {
            return filterName;
        }
    });
};
exports.createSandboxSecurityNotAllowedFilterError = createSandboxSecurityNotAllowedFilterError;
const isASandboxSecurityNotAllowedFilterError = (candidate) => {
    return candidate.filterName !== undefined;
};
exports.isASandboxSecurityNotAllowedFilterError = isASandboxSecurityNotAllowedFilterError;
