"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isASandboxSecurityNotAllowedTagError = exports.createSandboxSecurityNotAllowedTagError = void 0;
const security_error_1 = require("./security-error");
const createSandboxSecurityNotAllowedTagError = (message, tagName, location, source) => {
    const error = (0, security_error_1.createBaseSandboxSecurityError)(message, location, source);
    Error.captureStackTrace(error, exports.createSandboxSecurityNotAllowedTagError);
    return Object.assign(error, {
        get tagName() {
            return tagName;
        }
    });
};
exports.createSandboxSecurityNotAllowedTagError = createSandboxSecurityNotAllowedTagError;
const isASandboxSecurityNotAllowedTagError = (candidate) => {
    return candidate.tagName !== undefined;
};
exports.isASandboxSecurityNotAllowedTagError = isASandboxSecurityNotAllowedTagError;
