"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createLineTagHandler = void 0;
const line_1 = require("../node/line");
const createLineTagHandler = () => {
    const tag = 'line';
    return {
        tag,
        initialize: () => {
            return (token, stream) => {
                const numberToken = stream.expect("NUMBER");
                stream.expect("TAG_END");
                return (0, line_1.createLineNode)(Number(numberToken.value), token.line, token.column, tag);
            };
        }
    };
};
exports.createLineTagHandler = createLineTagHandler;
