"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createVerbatimTagHandler = void 0;
const verbatim_1 = require("../node/verbatim");
const createVerbatimTagHandler = () => {
    const tag = 'verbatim';
    return {
        tag,
        initialize: (parser) => {
            return (token, stream) => {
                stream.expect("TAG_END");
                const text = parser.subparse(stream, tag, (token) => {
                    return token.test("NAME", 'endverbatim');
                });
                stream.next();
                stream.expect("TAG_END");
                let content = '';
                if (text.type === "text") {
                    content = text.attributes.data;
                }
                return (0, verbatim_1.createVerbatimNode)(content, token.line, token.column, tag);
            };
        }
    };
};
exports.createVerbatimTagHandler = createVerbatimTagHandler;
