"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createTest = void 0;
const callable_wrapper_1 = require("./callable-wrapper");
/**
 * Creates a template test.
 *
 * @param {string} name Name of the test
 * @param {TwingCallable<boolean>} callable A callable implementing the test. If null, you need to overwrite the "node_class" option to customize compilation.
 * @param {TwingCallableArgument[]} acceptedArguments
 * @param {TwingCallableWrapperOptions} options Options
 */
const createTest = (name, callable, acceptedArguments, options = {}) => {
    return (0, callable_wrapper_1.createCallableWrapper)(name, callable, acceptedArguments, options);
};
exports.createTest = createTest;
