export type TwingErrorLocation = {
    line: number;
    column: number;
};
export interface TwingBaseError<Name extends string> extends Error {
    readonly name: Name;
    readonly previous: any | undefined;
    readonly rootMessage: string;
    location: TwingErrorLocation | undefined;
    source: string | undefined;
    appendMessage(message: string): void;
}
export declare const createBaseError: <Name extends string>(name: Name, message: string, location?: TwingErrorLocation, source?: string, previous?: any) => TwingBaseError<Name>;
