import { TwingBaseExpressionNode, TwingBaseExpressionNodeAttributes } from "../expression";
import type { TwingNodeType } from "../../node";
import type { TwingNegativeNode } from "./unary/negative";
import type { TwingNotNode } from "./unary/not";
import type { TwingPositiveNode } from "./unary/positive";
import type { TwingExecutionContext } from "../../execution-context";
export type TwingUnaryNode = TwingNegativeNode | TwingNotNode | TwingPositiveNode;
export interface TwingBaseUnaryNode<Type extends string> extends TwingBaseExpressionNode<Type, TwingBaseExpressionNodeAttributes, {
    operand: TwingBaseExpressionNode;
}> {
}
export declare const createUnaryNodeFactory: <InstanceType_1 extends TwingBaseUnaryNode<any>>(type: TwingNodeType<InstanceType_1>, definition: {
    execute: (operand: TwingBaseExpressionNode, executionContext: TwingExecutionContext) => Promise<any>;
}) => (operand: TwingBaseExpressionNode, line: number, column: number) => InstanceType_1;
export declare const createBaseUnaryNode: <Type extends string>(type: Type, operand: TwingBaseExpressionNode, line: number, column: number) => TwingBaseUnaryNode<Type>;
