import { BaseSandboxSecurityError, TwingSandboxSecurityError } from "./security-error";
import { TwingErrorLocation } from "../error/base";
/**
 * Exception thrown when a not allowed filter is used in a template.
 */
export interface TwingSandboxSecurityNotAllowedFilterError extends BaseSandboxSecurityError {
    readonly filterName: string;
}
export declare const createSandboxSecurityNotAllowedFilterError: (message: string, filterName: string, location?: TwingErrorLocation, source?: string) => TwingSandboxSecurityNotAllowedFilterError;
export declare const isASandboxSecurityNotAllowedFilterError: (candidate: TwingSandboxSecurityError) => candidate is TwingSandboxSecurityNotAllowedFilterError;
